New Update Ungoogled Chromium

nicolaasjan

Level 3
May 29, 2023
139
Below shows latest v115.xxxxxx for Applmage and Portable Linux.

Yes, saw that earlier today, but same error :(:
/home/nico/ungoogled-chromium/chrome-wrapper %U /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.35' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.32' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /home/nico/ungoogled-chromium/chrome)
 
  • Like
Reactions: [correlate]

HarborFront

Level 71
Thread author
Verified
Top Poster
Content Creator
Oct 9, 2016
6,022
Yes, saw that earlier today, but same error :(:
/home/nico/ungoogled-chromium/chrome-wrapper %U /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.35' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.32' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /home/nico/ungoogled-chromium/chrome) /home/nico/ungoogled-chromium/chrome: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /home/nico/ungoogled-chromium/chrome)

If you cannot get the answer below, with your presence there, then it still cannot be resolved. Later version may solve it.

 
  • Like
Reactions: [correlate]

HarborFront

Level 71
Thread author
Verified
Top Poster
Content Creator
Oct 9, 2016
6,022

Yes, but with some differences between the Eloston and Marmaduke versions of UG. This was discussed long time back.

Can read below



In short the Marmaduke version is not as 'ungoogled' as compared to Eloston version.
 
Last edited:

nicolaasjan

Level 3
May 29, 2023
139
I guess @Marmaduke's Linux builds are now deprecated:

Screenshot_20230824.png


Guess I'll now have to use these.
This means I have to upgrade my system to Linux Mint 21, because versions above 114 need a newer glibc version...
Note that this build produces results that are currently not working with ubuntu 20.04. The reason is, that the chromium code since 114.xx needs a newer glibc version than ubuntu 20.04 (and debian bullseye) and does not compile anymore with older glibc versions. Therefore I had to switch to debian:bookworm as builder image. The build results do work e.g. on ubuntu 22.04 and higher and debian bookworm.
Those how do not want to upgrade their ubuntu 20.04 might use the flatpak version of ungoogled-chromium. Flatpaks to not rely on the glibc on the underlying system.
Flatpak version is not an option here (disk space).

Still don't understand why Chromium's official dev. build (118.0.5968.0 atm) runs fine on Mint 21.
 

About us

  • MalwareTips is a community-driven platform providing the latest information and resources on malware and cyber threats. Our team of experienced professionals and passionate volunteers work to keep the internet safe and secure. We provide accurate, up-to-date information and strive to build a strong and supportive community dedicated to cybersecurity.

User Menu

Follow us

Follow us on Facebook or Twitter to know first about the latest cybersecurity incidents and malware threats.

Top